Page MenuHomePhabricator

Google Code-in Program 2018: Interested Mentors from Africa
Closed, ResolvedPublic

Description

Hey Volunteer Developers, if you're interested in mentoring the Google Code-in (hence GCI) program for 2018, add your information below in the table;

Steps to add yourself

  • Copy the last column and paste before the last column.
  • Edit the information to yours and hit "Save Changes".

ttm = task to mentor

Phab handleKnowledge areaExpected number of ttmExpected instances of ttmCountryMentor Status
@D3r1ck01MediaWiki, Tools/Toolforge100600CameroonAccepted
@ZppixMediaWiki, Python, ZppixBot, Documentationas neededas neededUSAAccepted
@rosalieperMediaWiki extensions, WMEmojiBot25as neededCameroonAccepted
@Eugene233MediaWiki & extensions, APIas neededas neededCameroonAccepted
@samuelgueboMediaWiki, Pythonas neededas neededCôte d'IvoireAccepted
@BamLifaMediaWiki, Python, Docs, Phabricatoras neededas neededDR CongoPending Invitation
@djkonroMediaWiki, Pywikibotas neededas neededCameroonPending Invitation
@opentechnoMediaWiki, Pywikibot, Pythonas neededas neededCôte d'IvoireAccepted
@ahipeauMediaWiki, PHP, Node JSas neededas neededCôte d'IvoirePending Invitation
Add phab handleAdd skillsAdd # of ttmAdd expected ttm # of instancesAdd your countryMentorship Status

Also add yourself to the list of 2018 mentors on MW.org here: https://www.mediawiki.org/wiki/Google_Code-in/2018.

For more information, see below;

Event Timeline

D3r1ck01 created this task.Aug 29 2018, 9:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 9:40 AM
D3r1ck01 renamed this task from Google Code-In 2018 Mentors from Africa to Google Code-In Program 2018 Mentors from Africa.Aug 29 2018, 9:51 AM
D3r1ck01 triaged this task as Normal priority.
D3r1ck01 raised the priority of this task from Normal to Needs Triage.
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 added a project: Developer-Advocacy.
D3r1ck01 moved this task from To triage to Team radar on the Developer-Advocacy board.
D3r1ck01 added subscribers: samuelguebo, EddyAfful, Mahveotm and 3 others.
D3r1ck01 renamed this task from Google Code-In Program 2018 Mentors from Africa to Google Code-In Program 2018 Interested Mentors from Africa.Aug 29 2018, 9:53 AM
D3r1ck01 triaged this task as Normal priority.
D3r1ck01 updated the task description. (Show Details)Aug 29 2018, 10:03 AM
D3r1ck01 set Due Date to Sep 30 2018, 11:00 PM.Aug 29 2018, 10:06 AM
D3r1ck01 updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 29 2018, 10:06 AM
D3r1ck01 changed Due Date from Sep 30 2018, 11:00 PM to Oct 31 2018, 11:00 AM.Aug 29 2018, 10:06 AM

What do you exactly mean by knowledge area exactly?

What do you exactly mean by knowledge area exactly?

What area are you familiar with around Wikimedia projects that you can review code and offer help to GCI participants?

Thanks for the interest! However, the dates in the task description are in the past.

GCI 2018 has not been announced yet, see https://www.mediawiki.org/wiki/Google_Code-in/2018 . I don't understand why the deadline field has been set.

D3r1ck01 updated the task description. (Show Details)
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 29 2018, 10:29 AM

Thanks for the interest! However, the dates in the task description are in the past.
GCI 2018 has not been announced yet, see https://www.mediawiki.org/wiki/Google_Code-in/2018 . I don't understand why the deadline field has been set.

Thank you Andre! :)

Zppix updated the task description. (Show Details)Aug 29 2018, 2:42 PM
Zppix updated the task description. (Show Details)
Zppix added a subscriber: Zppix.

@D3r1ck01 I cant do the table correctly so you may have to fix it sorry...

D3r1ck01 updated the task description. (Show Details)Aug 29 2018, 3:11 PM
D3r1ck01 updated the task description. (Show Details)Aug 29 2018, 8:02 PM
D3r1ck01 updated the task description. (Show Details)
rosalieper updated the task description. (Show Details)Sep 1 2018, 7:00 AM
rosalieper added a subscriber: rosalieper.
Eugene233 updated the task description. (Show Details)Sep 1 2018, 12:55 PM
samuelguebo updated the task description. (Show Details)Sep 3 2018, 8:39 PM
BamLifa updated the task description. (Show Details)Sep 7 2018, 8:14 AM
D3r1ck01 raised the priority of this task from Normal to High.Sep 7 2018, 12:11 PM
D3r1ck01 updated the task description. (Show Details)

I don't know if there is a dedicated mailing list for Africa-Wikimedia-Developers so this is a heads-up:
Please check https://lists.wikimedia.org/pipermail/wikitech-l/2018-September/090799.html :)

Thanks for your help!

Thanks @Aklapper, we'll make sure to check it out. Also, you might use african-wikimedia-developers@lists.wikimedia.org, our dedicated mailing list.

Meh, I should have checked the list of mailing lists, sorry. Noted, I'll also spam that list now! :D :D

D3r1ck01 updated the task description. (Show Details)Sep 17 2018, 10:30 AM
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.
D3r1ck01 updated the task description. (Show Details)Sep 19 2018, 10:39 AM
D3r1ck01 updated the task description. (Show Details)Sep 19 2018, 10:47 AM
Eugene233 updated the task description. (Show Details)Sep 19 2018, 10:58 AM

For all mentors who have added themselves here on this ticket, please do add yourself here too: https://www.mediawiki.org/wiki/Google_Code-in/2018 and this applies to future mentors for this round.

D3r1ck01 updated the task description. (Show Details)Sep 19 2018, 1:46 PM
D3r1ck01 renamed this task from Google Code-In Program 2018 Interested Mentors from Africa to Google Code-in Program 2018: Interested Mentors from Africa.Sep 19 2018, 2:41 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 9:16 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 10:00 PM
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 10:02 PM
D3r1ck01 updated the task description. (Show Details)Sep 24 2018, 10:11 AM

@BamLifa, did you receive an invite for GCI? We're waiting on you to accept :)

opentechno updated the task description. (Show Details)Oct 1 2018, 9:19 AM
D3r1ck01 updated the task description. (Show Details)Oct 1 2018, 9:23 AM
D3r1ck01 awarded a token.
ahipeau added a subscriber: ahipeau.Oct 6 2018, 2:09 PM
ahipeau updated the task description. (Show Details)Oct 6 2018, 2:12 PM
D3r1ck01 updated the task description. (Show Details)Oct 6 2018, 5:37 PM

@ahipeau, could you list yourself here: https://www.mediawiki.org/wiki/Google_Code-in/2018 and also link your profile to your MW account?

D3r1ck01 updated the task description. (Show Details)Oct 6 2018, 5:43 PM
D3r1ck01 added a subscriber: djkonro.
opentechno updated the task description. (Show Details)Oct 8 2018, 9:22 AM
opentechno updated the task description. (Show Details)
D3r1ck01 updated the task description. (Show Details)Oct 9 2018, 3:21 PM
Aklapper added a comment.EditedOct 10 2018, 10:49 PM

General comment and explanation for some context: I'm happy to see so many people being interested in mentoring.
Wikimedia mentors need to be able to guide students. Hence mentors already need to have some experience being Wikimedia contributors. Mentors need to know the community and "how things work".
As we need to invite mentors to register on the GCI site, we usually take a quick look trying to find out a mentor's areas of expertise within Wikimedia, and public Wikimedia contributions like Gerrit activity. In some cases that's hard to find so we usually send out a follow-up email asking for more info. It also means that if you're completely new to Wikimedia and if you have not contributed yet, then you should not (yet) mentor in GCI (but will hopefully mentor soon). :)

D3r1ck01 updated the task description. (Show Details)Oct 11 2018, 6:44 PM
D3r1ck01 closed this task as Resolved.Oct 23 2018, 8:11 PM

GCI has started but if you feel you want to mentor and got the experience, feel free to reopen this issue and add yourself. Thanks :)